org.bouncycastle.asn1

## Class DERIA5String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.DERObject
    - - org.bouncycastle.asn1.ASN1Object
      - - org.bouncycastle.asn1.DERIA5String

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

Direct Known Subclasses:
  NetscapeRevocationURL, VerisignCzagExtension

    public class DERIA5String
    extends ASN1Object
    implements DERString

DER IA5String object - this is an ascii string.

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERIA5String(byte[] string)` basic constructor - with bytes.
`DERIA5String(java.lang.String string)` basic constructor - without validation.
`DERIA5String(java.lang.String string, boolean validate)` Constructor with optional validation.

### Method Summary

Methods
`static DERIA5String` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an IA5 String from a tagged object.
`static DERIA5String` `getInstance(java.lang.Object obj)` return a IA5 string from the passed in object
`byte[]` `getOctets()`
`java.lang.String` `getString()`
`int` `hashCode()`
`static boolean` `isIA5String(java.lang.String str)` return true if the passed in String can be represented without loss as an IA5String, false otherwise.
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.bouncycastle.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DERIA5String

    public DERIA5String(byte[] string)

basic constructor - with bytes.

#### DERIA5String

    public DERIA5String(java.lang.String string)

basic constructor - without validation.

#### DERIA5String

    public DERIA5String(java.lang.String string,
                boolean validate)

Constructor with optional validation.

Parameters:
  `string` - the base string to wrap.
  `validate` - whether or not to check the string.
Throws:
  `java.lang.IllegalArgumentException` - if validate is true and the string contains characters that should not be in an IA5String.

### Method Detail

#### getInstance

    public static DERIA5String getInstance(java.lang.Object obj)

return a IA5 string from the passed in object

Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getInstance

    public static DERIA5String getInstance(ASN1TaggedObject obj,
                           boolean explicit)

return an IA5 String from a tagged object.

Parameters:
  `obj` - the tagged object holding the object we want
  `explicit` - true if the object is meant to be explicitly tagged false otherwise.
Throws:
  `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

#### getString

    public java.lang.String getString()

Specified by:
  `getString` in interface `DERString`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getOctets

    public byte[] getOctets()

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ASN1Object`

#### isIA5String

    public static boolean isIA5String(java.lang.String str)

return true if the passed in String can be represented without loss as an IA5String, false otherwise.

Returns:
  true if in printable set, false otherwise.